Deletes manual transactions: all on accountId, or 1–100 transactionIds. Does not change account balance. Provide exactly one of accountId or transactionIds.
DELETE
/v1/delete_transactionsQuery
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
| budgetId | string | Yes | — | Budget that owns the transactions. |
| accountId | string | No | — | Delete all manual txs on this account. |
| transactionIds | array | No | — | Specific manual transaction ids (1–100). |
Response data
| Field | Type | Description |
|---|---|---|
| deletedCount | number | When deleting by accountId. |
| results | array | When deleting by transactionIds. |